@echo off
if "%1" == "" goto usage
if "%2" == "" goto usage
goto run

:usage
echo USAGE:
echo delbydat directory numberofdays
goto eof

:run
set days=%2
set directory=%1

rem get the date into the batch variables
for /f "tokens=2-4 delims=/ " %%a in ('date/t') do (set month=%%a) & (set day=%%b) & (set year=%%c)

set /A oldday=%day%-%days%
set oldmonth=%month%
set oldyear=%year%

:loop
if %oldday% GTR 0 goto gotDate

set /A oldmonth=%oldmonth%-1
if %oldmonth% equ 0 (set /A oldyear=%oldyear%-1) & (set oldmonth=12)

for %%d in (1 3 5 7 8 10 12) do if %oldmonth% equ %%d set days=31
for %%d in (2) do if %oldmonth% equ %%d (set days=28) & for %%y in (1976 1980 1984 1988 1992 1996 2000 2004 2008) do if %oldyear% equ %%y set days=29
for %%d in (4 6 9 11) do if %oldmonth% equ %%d set days=30

set /A oldday=%days%+%oldday%

goto loop

:gotDate
for %%d in (1 2 3 4 5 6 7 8 9) do if "%oldmonth%" equ "%%d" set oldmonth=0%oldmonth%
for %%d in (1 2 3 4 5 6 7 8 9) do if "%oldday%" equ "%%d" set oldday=0%oldday%

rem set command=echo
set command=del /q 
rem echo %command%

for /f "tokens=1-6* delims=/ " %%a in ('dir %directory% /a-d') do if "%%g" neq "" (if exist %directory%%%g (if %%c lss %oldyear% (%command% "%directory%%%g") else (if %%c equ %oldyear% (if %%a lss %oldmonth% (%command% "%directory%%%g") else (if %%a equ %oldmonth% (if %%b leq %oldday% (%command% "%directory%%%g")))))))

:eof